Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QFtp.TransferMode

    java.lang.Object
      java.lang.Enum<QFtp.TransferMode>
          com.trolltech.qt.network.QFtp.TransferMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFtp.TransferMode>

Enclosing class:
  QFtp

    public static enum QFtp.TransferMode

extends java.lang.Enum<QFtp.TransferMode>
implements QtEnumerator

FTP works with two socket connections; one for commands and another for transmitting data. While the command connection is always initiated by the client, the second connection can be initiated by either the client or the server.

This enum defines whether the client (Passive mode) or the server (Active mode) should set up the data connection.

Enum Constant Summary
`Active` The server connects to the client to transmit its data.
`Passive` The client connects to the server to transmit its data.

Method Summary
`static QFtp.TransferMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.TransferMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFtp.TransferMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Active

    public static final QFtp.TransferMode Active

  The server connects to the client to transmit its data.

### Passive

    public static final QFtp.TransferMode Passive

  The client connects to the server to transmit its data.

Method Detail

### values

    public static final QFtp.TransferMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFtp.TransferMode c : QFtp.TransferMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFtp.TransferMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.TransferMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD